> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Creare gruppo

> Creare gruppo di autenticazione account

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json POST /v1/public/accounts/{account_id}/auth/groups
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups:
    post:
      tags:
        - public-accounts
        - public-account-auth
      summary: Creare gruppo di autenticazione account
      description: Crea un gruppo collegato all’account.
      operationId: >-
        create_public_account_auth_group_v1_public_accounts__account_id__auth_groups_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupCreateRequest:
      description: Richiedi schema per la creazione di un nuovo gruppo di autenticazione.
      properties:
        account_id:
          description: Owning account per il new account-scoped group
          format: uuid
          title: account ID
          type: string
        attributes:
          anyOf:
            - additionalProperties:
                anyOf:
                  - items:
                      type: string
                    type: array
                  - type: string
              type: object
            - type: 'null'
          title: attributi
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Descrizione del gruppo locale
          title: descrizione
        name:
          maxLength: 255
          minLength: 1
          title: nome
          type: string
      required:
        - name
        - account_id
      title: GroupCreateRequest
      type: object
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: account ID
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: attributi
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: descrizione
        id:
          title: ID
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Keycloak account ID
        keycloak_name:
          title: Keycloak nome
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: collegati ambiti
          type: array
        name:
          title: nome
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: padre ID
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: percorso
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: sottogruppo ID
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: GroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    GroupScopeLinkResponse:
      description: Schema per un ambito di risorsa collegato a un gruppo.
      properties:
        resource_id:
          format: uuid
          title: risorsa ID
          type: string
        resource_type:
          title: risorsa tipo
          type: string
      required:
        - resource_type
        - resource_id
      title: GroupScopeLinkResponse
      type: object
    PermissionInspectabilitySnapshot:
      description: >-
        Snapshot di ispezionabilità condivisa per la gestione di utenti, gruppi
        e inviti.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: Chiavi bundle assegnate
          type: array
        direct_capability_keys:
          items:
            type: string
          title: Direct capacità Keys
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: proprietario assegnazioni
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: risolto capacità Keys
          type: array
        status:
          default: active
          title: Stato
          type: string
        subject_id:
          default: ''
          title: soggetto ID
          type: string
        subject_type:
          default: unknown
          title: soggetto tipo
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    OwnerAssignmentSnapshot:
      description: Schema che indica una relazione del proprietario dell'account.
      properties:
        account_id:
          format: uuid
          title: account ID
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````